Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.transaction
Class TransactionIterator

    java.lang.Object
      com.sun.mdm.index.page.PageIteratorWrapper
          com.sun.mdm.index.master.search.transaction.TransactionIterator

All Implemented Interfaces:
  java.io.Serializable

public class TransactionIterator
extends PageIteratorWrapper

The TransactionIterator class represents an iterator containing the TransactionSummary objects returned by a call to lookupTransaction. Use indexes to page through the TransactionSummary objects and to retrieve specific objects from the iterator.

See Also:
  Serialized Form

Constructor Summary
`TransactionIterator(PageData pageData, int pageSize, int maxElements)` Creates a new instance of the TransactionIterator class that maintains the connection to the server.
`TransactionIterator(TransactionSummary[] fullData)` Creates a new instance of the TransactionIterator class that does not maintain the connection to the server.

Method Summary
`TransactionSummary` | `absolute(int index)` Retrieves a TransactionSummary object at the specified index from the TransactionIterator object.
`TransactionSummary[]` | `absolute(int index, int count)` Retrieves a series of rows from a TransactionIterator object, beginning with the row at the specified index and continuing through the specified number of rows.
`TransactionSummary` | `first()` Retrieves the first row from a TransactionIterator object.
`TransactionSummary[]` | `first(int count)` Retrieves the first rows in the iterator.
`TransactionSummary` | `next()` Retrieves the next row from a TransactionIterator object.
`TransactionSummary[]` | `next(int count)` Retrieves the next series of rows in the iterator.
`TransactionSummary` | `prev()` Retrieves the previous row from a TransactionIterator object.
`TransactionSummary[]` | `prev(int count)` Retrieves the previous series of rows in the iterator.
`void` | `setReadForwardOnly(boolean forwardOnly)` Specifies whether the transaction iterator will clear all the DataPage objects of a loaded page (i) once it starts to read and load the next page (i+1).
`void` | `sortBy(java.lang.String field, boolean reverse)` Sorts the objects in the TransactionIterator by the specified comparator.
`void` | `sortSummaryBy(java.lang.String field, boolean reverse)` Sorts the objects in the TransactionIterator by the specified comparator.

Methods inherited from class com.sun.mdm.index.page.PageIteratorWrapper
`close, count, currentPosition, getGenericIterator, hasNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionIterator

    public TransactionIterator(PageData pageData,
                               int pageSize,
                               int maxElements)

  Creates a new instance of the TransactionIterator class that maintains the connection to the server.

  Parameters:
    `pageData` - A session bean that stores the data retrieved from the server.
    `pageSize` - The size of each unit of data retrieved from the server.
    `maxElements` - The maximum number of elements retrieved for a transaction history search.
  Throws:
    None.

### TransactionIterator

    public TransactionIterator(TransactionSummary[] fullData)

  Creates a new instance of the TransactionIterator class that does not maintain the connection to the server.

  Parameters:
    `fullData` - An array of all objects in the result set.
  Throws:
    None.

Method Detail

### absolute

    public TransactionSummary absolute(int index)
                                throws PageException,
                                       java.rmi.RemoteException

  Retrieves a TransactionSummary object at the specified index from the TransactionIterator object.

  Parameters:
    `index` - The row to retrieve.
  Returns:
    `TransactionSummary` - A TransactionSummary object.
  Throws:
    `PageException` - Thrown if an error occurs while retrieving the object.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### absolute

    public TransactionSummary[] absolute(int index,
                                         int count)
                                  throws PageException,
                                         java.rmi.RemoteException

  Retrieves a series of rows from a TransactionIterator object, beginning with the row at the specified index and continuing through the specified number of rows.

  Parameters:
    `index` - The first row to retrieve.
    `count` - The total number of rows to retrieve.
  Returns:
    `TransactionSummary[]` - An array of TransactionSummary objects.
  Throws:
    `PageException` - Thrown if an error occurs while retrieving the objects.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### first

    public TransactionSummary first()
                             throws PageException,
                                    java.rmi.RemoteException

  Retrieves the first row from a TransactionIterator object.

  Parameters:
    None.

  Returns:
    `TransactionSummary` - A TransactionSummary object.
  Throws:
    `PageException` - Thrown if an error occurs while retrieving the object.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### first

    public TransactionSummary[] first(int count)
                               throws PageException,
                                      java.rmi.RemoteException

  Retrieves the first rows in the iterator. The number of rows retrieved is specified as a parameter to this method. If the number of rows specified by the parameter is greater than the number of records in the iterator, all rows are retrieved.

  Parameters:
    `count` - The total number of rows to retrieve.
  Returns:
    `TransactionSummary[]` - An array of TransactionSummary objects.
  Throws:
    `PageException` - Thrown if an error occurs while retrieving the objects.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### next

    public TransactionSummary next()
                            throws java.rmi.RemoteException,
                                   PageException

  Retrieves the next row from a TransactionIterator object. If the current index is 4, this method returns the row at index=4.

  Parameters:
    None.

  Returns:
    `TransactionSummary` - A TransactionSummary object.
  Throws:
    `PageException` - Thrown if the call to hasNext returns false.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### next

    public TransactionSummary[] next(int count)
                              throws PageException,
                                     java.rmi.RemoteException

  Retrieves the next series of rows in the iterator. The number of rows retrieved is specified as a parameter to this method. If the iterator does not have the specified number of rows remaining, it only retrieves the remaining rows.

  Parameters:
    `count` - The total number of rows to retrieve.
  Returns:
    `TransactionSummary[]` - An array of TransactionSummary objects.
  Throws:
    `PageException` - Thrown if the index is already at the end of the iterator.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### prev

    public TransactionSummary prev()
                            throws PageException,
                                   java.rmi.RemoteException

  Retrieves the previous row from a TransactionIterator object. If the current index is 5, this method returns the row at index=4 and leaves the position at index=4.

  Parameters:
    None.

  Returns:
    `TransactionSummary` - A TransactionSummary object.
  Throws:
    `PageException` - Thrown if the index is already at the beginning of the iterator.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### prev

    public TransactionSummary[] prev(int count)
                              throws PageException,
                                     java.rmi.RemoteException

  Retrieves the previous series of rows in the iterator. The number of rows retrieved is specified as a parameter to this method.

  Parameters:
    `count` - The total number of rows to retrieve.
  Returns:
    `TransactionSummary[]` - An array of TransactionSummary objects.
  Throws:
    `PageException` - Thrown if the index is already at the beginning of the iterator.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### setReadForwardOnly

    public void setReadForwardOnly(boolean forwardOnly)

  Specifies whether the transaction iterator will clear all the DataPage objects of a loaded page (i) once it starts to read and load the next page (i+1). Setting the iterator to clear old DataPage objects helps to optimize the performance of potential duplicate reports.

  Parameters:
    `forwardOnly` - A Boolean indicator of whether the iterator will clear old DataPage objects. Specify true to clear old DataPage objects; specify false to leave the objects in memory.
  Returns:
    `void` - None.
  Throws:
    None.

### sortBy

    public void sortBy(java.lang.String field,
                       boolean reverse)
                throws PageException,
                       java.rmi.RemoteException

  Sorts the objects in the TransactionIterator by the specified comparator.

  Parameters:
    `field` - The name of the field to use as sorting criteria.
    `reverse` - An indicator of whether to sort in ascending or descending order. Specify true to sort in descending order, or specify false to sort in ascending order.
  Returns:
    `void` - None.
  Throws:
    `PageException` - Thrown if there is an error during sorting.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### sortSummaryBy

    public void sortSummaryBy(java.lang.String field,
                              boolean reverse)
                       throws PageException,
                              java.rmi.RemoteException

  Sorts the objects in the TransactionIterator by the specified comparator. This method does not load the associated objects, improving the performance of the action.

  Parameters:
    `field` - The name of the field to use as sorting criteria.
    `reverse` - An indicator of whether to sort in ascending or descending order. Specify true to sort in descending order, or specify false to sort in ascending order.
  Returns:
    `void` - None.
  Throws:
    `PageException` - Thrown if there is an error during sorting.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.